Vector stores
Update vector store file attributes
Updates vector store file attributes with the supplied changes.
Pfadparameter
vector_store_id
string
Erforderlich
The ID of the vector store the file belongs to.
file_id
string
Erforderlich
The ID of the file to update attributes.
Anforderungstext
The request body.
attributes
OpenAI.VectorStoreFileAttributes | null
Erforderlich
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.
[key: string]
string | OpenAI.numeric | boolean
Antworten
The request has succeeded.
Text
id
string
Erforderlich
The identifier, which can be referenced in API endpoints.
object
enum
Erforderlich
The object type, which is always vector_store.file.
created_at
integer
Erforderlich
The Unix timestamp (in seconds) for when the vector store file was created.
vector_store_id
string
Erforderlich
The ID of the vector store that the File is attached to.
status
enum
Erforderlich
The status of the vector store file, which can be either in_progress, completed, cancelled, or failed. The status completed indicates that the vector store file is ready for use.
last_error
OpenAI.VectorStoreFileObjectLastError | null
Erforderlich
code
enum
Erforderlich
attributes
OpenAI.VectorStoreFileAttributes | null
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.
[key: string]
string | OpenAI.numeric | boolean
chunking_strategy
static | other
The strategy used to chunk the file.
static
OpenAI.StaticChunkingStrategyResponseParam
type
enum
Erforderlich
Always static.
static
OpenAI.StaticChunkingStrategy
Erforderlich
other
OpenAI.OtherChunkingStrategyResponseParam
This is returned when the chunking strategy is unknown. Typically, this is because the file was indexed before the chunking_strategy concept was introduced in the API.
type
enum
Erforderlich
Always other.
Anfordern
curl https://api.openai.com/v1/vector_stores/{vector_store_id}/files/{file_id} \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json" \
-d '{"attributes": {"key1": "value1", "key2": 2}}'
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const vectorStoreFile = await client.vectorStores.files.update('file-abc123', {
vector_store_id: 'vs_abc123',
attributes: { foo: 'string' },
});
console.log(vectorStoreFile.id);
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
vector_store_file = client.vector_stores.files.update(
file_id="file-abc123",
vector_store_id="vs_abc123",
attributes={
"foo": "string"
},
)
print(vector_store_file.id)
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
vectorStoreFile, err := client.VectorStores.Files.Update(
context.TODO(),
"vs_abc123",
"file-abc123",
openai.VectorStoreFileUpdateParams{
Attributes: map[string]openai.VectorStoreFileUpdateParamsAttributeUnion{
"foo": {
OfString: openai.String("string"),
},
},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", vectorStoreFile.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.core.JsonValue;
import com.openai.models.vectorstores.files.FileUpdateParams;
import com.openai.models.vectorstores.files.VectorStoreFile;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
FileUpdateParams params = FileUpdateParams.builder()
.vectorStoreId("vs_abc123")
.fileId("file-abc123")
.attributes(FileUpdateParams.Attributes.builder()
.putAdditionalProperty("foo", JsonValue.from("string"))
.build())
.build();
VectorStoreFile vectorStoreFile = client.vectorStores().files().update(params);
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
vector_store_file = openai.vector_stores.files.update(
"file-abc123",
vector_store_id: "vs_abc123",
attributes: {foo: "string"}
)
puts(vector_store_file)
Antwort
{
"id": "file-abc123",
"object": "vector_store.file",
"usage_bytes": 1234,
"created_at": 1699061776,
"vector_store_id": "vs_abcd",
"status": "completed",
"last_error": null,
"chunking_strategy": {...},
"attributes": {"key1": "value1", "key2": 2}
}